Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve daily activity for applicable users for a date range (/v2/stats/activity/day-by-day)

Prev Next
Post
/v2/stats/activity/day-by-day

Retrieve the daily activity of multiple users within the Gong system for a range of dates. This endpoint returns records including statistics about each user's activity, on the daily level. Records are returned only for users with activity in the range.

Required authorizaton scope: 'api:stats:user-actions:detailed'.

Body parameters
Expand All
object
cursor
string

When paging is needed, provide the value supplied by the previous API call to bring the following page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
filter
object (MultipleUsersWithDates) Required

Filter parameters.

fromDate
string Required

The date (in the company's time zone) from which to list a user's activity. This value is inclusive. The date should be specified in the following format: YYYY-MM-DD.

Example2019-01-20
toDate
string Required

The date (in the company's time zone) until which to list a user's activity. This value is exclusive. This value should not exceed the current day. The date should be specified in the following format: YYYY-MM-DD.

Example2019-01-21
createdFromDateTime
string (date-time)
createdToDateTime
string (date-time)
userIds
Array of string

Set of Gong's unique numeric identifiers for the users (up to 20 digits).

Example[ "234599484848423" ]
string
Responses
200

Successful response

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
records
object (Records)

Information about the number of records that match the requested filter.

totalRecords
integer (int32)

Total number of records.

Example263
currentPageSize
integer (int32)

Number of records in the current page.

Example100
currentPageNumber
integer (int32)

Current page number.

Example0
cursor
string

Returned only when there are more records to be retrieved. Repeat the API call and pass this cursor value in the request to retrieve the next page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
usersDetailedActivities
Array of object (UserDayByDayActivity)

A list, in which each item contains one user's activity.

object

A list, in which each item contains one user's activity.

userId
string

Gong's unique numeric identifier for the user (up to 20 digits).

userEmailAddress
string

The email address of the Gong user.

userDailyActivityStats
Array of object (DailyActivityWithDates)

Array of daily activity records, one for every day in the date range.

object

User daily activity

callsAsHost
Array of string

List of IDs of calls in which this user is the host.

Example[ "348056639626337000" ]
string
callsGaveFeedback
Array of string

List of IDs of calls where the user gave feedback.

Example[ "5580564522626337000" ]
string
callsRequestedFeedback
Array of string

List of IDs of calls where the user requested feedback.

Example[ "342556337006" ]
string
callsReceivedFeedback
Array of string

List of IDs of calls where the user received feedback.

Example[ "342556337006" ]
string
ownCallsListenedTo
Array of string

List of IDs of the user's own calls, that the user listened to.

Example[ "4553256639626337000" ]
string
othersCallsListenedTo
Array of string

List of IDs of calls, not belonging to this user, that the user listened to.

Example[ "56305663962633750" ]
string
callsSharedInternally
Array of string

List of IDs of calls the user shared with other users inside the company.

Example[ "37555663966526330000" ]
string
callsSharedExternally
Array of string

List of IDs of calls the user shared with people outside the company.

Example[ "4563962633756" ]
string
callsAttended
Array of string

List of IDs of calls in which this user is participant (not host)

Example[ "45783962636582" ]
string
callsCommentsGiven
Array of string

List of IDs of calls in which a user gave at least one comment.

Example[ "45663345636581" ]
string
callsCommentsReceived
Array of string

List of IDs of calls in which a user received at least one comment on the users calls.

Example[ "45663962636582" ]
string
callsMarkedAsFeedbackGiven
Array of string

List of IDs of calls in which someone pressed the "Mark as reviewed".

Example[ "45663962636581" ]
string
callsMarkedAsFeedbackReceived
Array of string

List of IDs of calls in which someone pressed the "Mark as reviewed" on the users calls.

Example[ "45663388836581" ]
string
callsScorecardsFilled
Array of string

List of IDs of calls in which the user filled scorecards.

Example[ "45663962636582" ]
string
callsScorecardsReceived
Array of string

List of IDs of calls in which someone filled a scorecard on the users calls.

Example[ "45663962636581" ]
string
fromDate
string

The start of the day in the ISO-8601 format, for example: '2024-01-17T16:20:05-03:00' or '2016-02-16T03:57:04.834+05:30' or '2020-11-20T21:30:07.233692Z', where Z stands for UTC.

Example2019-01-20T00:00:00-08:00
toDate
string

The end of the day in the ISO-8601 format, for example: '2024-01-17T16:20:05-03:00' or '2016-02-16T03:57:04.834+05:30' or '2020-11-20T21:30:07.233692Z', where Z stands for UTC.

Example2019-01-21T000:00:00-08:00
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
404

User not found

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string